<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class DemoAssignee extends Model
{
    protected $fillable = [
        'demo_id',
        'user_id',
        'created_at',
        'updated_at',
    ];

    public function demo(): BelongsTo
    {
        return $this->belongsTo(Demo::class);
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
